Package org.apache.lucene.store

## Class LockObtainFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.lucene.store.LockObtainFailedException

- All Implemented Interfaces:
    `Serializable`

      public class LockObtainFailedException
      extends IOException

  This exception is thrown when the `write.lock` could not be acquired. This happens when a writer tries to open an index that another writer already has open.
  See Also:
    `LockFactory.obtainLock(Directory, String)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LockObtainFailedException​(String message)` |
    `LockObtainFailedException​(String message, Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LockObtainFailedException

          public LockObtainFailedException​(String message)

    - #### LockObtainFailedException

          public LockObtainFailedException​(String message,
                                           Throwable cause)